curl --request POST \
--url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/configuration/generate \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"googleOAuthToken": "ya29.a0AfH6SM..."
}
'{
"spreadsheetId": "1BxiMVs0XRA5nFMdKvBdBZjgmUUqptlbs74OgVE2upms",
"spreadsheetUrl": "https://docs.google.com/spreadsheets/d/1BxiMVs0XRA5nFMdKvBdBZjgmUUqptlbs74OgVE2upms"
}Configuration Management
Generate Configuration Spreadsheet
Creates a new Google Spreadsheet with the FMV1 configuration template structure. The spreadsheet contains all the required sheets, headers, and formatting but no data — it is a blank template ready to be filled in.
The spreadsheet is created in the caller’s Google Drive.
Required permission: company.configuration:export
This endpoint requires an API key created with the FMV1_CONFIGURATION_MANAGER role. See Authentication for how to create API keys with specific roles.
POST
/
api
/
v1
/
external
/
companies
/
{companyId}
/
configuration
/
generate
curl --request POST \
--url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/configuration/generate \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"googleOAuthToken": "ya29.a0AfH6SM..."
}
'{
"spreadsheetId": "1BxiMVs0XRA5nFMdKvBdBZjgmUUqptlbs74OgVE2upms",
"spreadsheetUrl": "https://docs.google.com/spreadsheets/d/1BxiMVs0XRA5nFMdKvBdBZjgmUUqptlbs74OgVE2upms"
}Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
Body
application/json
Was this page helpful?
